Name:           python-cons
Version:        0.4.6
Release:        %mkrel 3
Summary:        An implementation of Lisp/Scheme-like cons in Python
Group:          Development/Python

License:        LGPL-3.0-or-later
URL:            https://github.com/pythological/python-cons
Source:         %{pypi_source cons}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
The cons package attempts to emulate the semantics of Lisp/Scheme's cons as
closely as possible while incorporating all the built-in Python sequence types.}

%description %_description

%package -n     python3-cons
Summary:        %{summary}

%description -n python3-cons %_description


%prep
%autosetup -p1 -n cons-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files cons


%check
%pyproject_check_import
%tox


%files -n python3-cons -f %{pyproject_files}



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4.6-3.mga10
+ Revision: 2240862
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.4.6-2.mga10
+ Revision: 2158101
- rebuild for python3.13

* Mon Mar 04 2024 papoteur <papoteur> 0.4.6-1.mga10
+ Revision: 2047499
- imported for pytensor
- fix summary
- imported package python-cons

